summaryrefslogtreecommitdiffstats
path: root/development/alex
diff options
context:
space:
mode:
author Mikko Varri <vmj@linuxbox.fi>2010-05-13 00:57:47 +0200
committer David Somero <xgizzmo@slackbuilds.org>2010-05-13 00:57:47 +0200
commita5055cec44e0abf89403ed1125a4f3fc896d63ac (patch)
tree7986e9d2ba1a4da6294da7be5db905243a49d686 /development/alex
parent524262495bbe7ab0ee2ae129a9f81b518a3035f9 (diff)
downloadslackbuilds-a5055cec44e0abf89403ed1125a4f3fc896d63ac.tar.gz
slackbuilds-a5055cec44e0abf89403ed1125a4f3fc896d63ac.tar.xz
development/alex: Added to 13.0 repository
Diffstat (limited to 'development/alex')
-rw-r--r--development/alex/README7
-rw-r--r--development/alex/alex.SlackBuild71
-rw-r--r--development/alex/alex.info10
-rw-r--r--development/alex/slack-desc19
4 files changed, 107 insertions, 0 deletions
diff --git a/development/alex/README b/development/alex/README
new file mode 100644
index 0000000000..5d5f0e9def
--- /dev/null
+++ b/development/alex/README
@@ -0,0 +1,7 @@
+alex (A tool for generating lexical analysers in Haskell)
+
+Alex is a tool for generating lexical analysers in Haskell, given a
+description of the tokens to be recognised in the form of regular
+expressions. It is similar to the tool lex or flex for C/C++.
+
+Requires: ghc.
diff --git a/development/alex/alex.SlackBuild b/development/alex/alex.SlackBuild
new file mode 100644
index 0000000000..bf14c5353d
--- /dev/null
+++ b/development/alex/alex.SlackBuild
@@ -0,0 +1,71 @@
+#!/bin/sh
+
+# Slackware build script for alex
+
+# Written by Mikko Varri (vmj@linuxbox.fi)
+# Public domain.
+
+PRGNAM=alex
+VERSION=${VERSION:-2.3.1}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKFLAGS" \
+runghc Setup.lhs configure \
+ --prefix=/usr \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --flags="-threaded -dynamic"
+
+runghc Setup.lhs build
+runghc Setup.lhs copy --destdir=$PKG
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a ANNOUNCE LICENSE README TODO $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
+
diff --git a/development/alex/alex.info b/development/alex/alex.info
new file mode 100644
index 0000000000..f2be9269c4
--- /dev/null
+++ b/development/alex/alex.info
@@ -0,0 +1,10 @@
+PRGNAM="alex"
+VERSION="2.3.1"
+HOMEPAGE="http://haskell.org/alex/"
+DOWNLOAD="http://hackage.haskell.org/packages/archive/alex/2.3.1/alex-2.3.1.tar.gz"
+MD5SUM="a8c26af3370388297cee4b8c767d72d9"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Mikko Varri"
+EMAIL="vmj@linuxbox.fi"
+APPROVED="dsomero"
diff --git a/development/alex/slack-desc b/development/alex/slack-desc
new file mode 100644
index 0000000000..1a01f47d4d
--- /dev/null
+++ b/development/alex/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+alex: alex (A tool for generating lexical analysers in Haskell)
+alex:
+alex: Alex is a tool for generating lexical analysers in Haskell, given a
+alex: description of the tokens to be recognised in the form of regular
+alex: expressions. It is similar to the tool lex or flex for C/C++.
+alex:
+alex: This package is part of Haskell Platform.
+alex:
+alex: Homepage: http://haskell.org/alex/
+alex:
+alex: